Rated 5 out of 5 stars

Very cool extension, but I have use Firefox 3.6 and can't install it! Please update to firefox 3.6!!

This review is for a previous version of the add-on (0.5.248Beta).